Skip to main content
GET
/
projects
/
{project_id}
/
user-access
/
{user_id}
Get user access for a project
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{project_id}/user-access/{user_id} \
  --header 'Authorization: Bearer <token>'
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "<string>",
  "project_id": "<string>",
  "project_title": "<string>",
  "permissions": [
    "admin"
  ],
  "granted_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "_links": {
    "self": {
      "href": "<string>"
    },
    "update": {
      "href": "<string>",
      "method": "<string>"
    },
    "delete": {
      "href": "<string>",
      "method": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

The ID of the project.

user_id
string<uuid>
required

The ID of the user.

Example:

"d81c8ee2-44b3-429f-b944-a33ad7437690"

Response

OK

user_id
string<uuid>

The ID of the user.

organization_id
string<ulid>

The ID of the organization.

project_id
string

The ID of the project.

project_title
string

The title of the project.

permissions
enum<string>[]

An array of project permissions.

Available options:
admin,
viewer,
development:admin,
development:contributor,
development:viewer,
staging:admin,
staging:contributor,
staging:viewer,
production:admin,
production:contributor,
production:viewer
granted_at
string<date-time>

The date and time when the access was granted.

updated_at
string<date-time>

The date and time when the access was last updated.